Bug 92047 - UP/BOOT kernel doesn't work on Intel D875PBZ MB with SATA
UP/BOOT kernel doesn't work on Intel D875PBZ MB with SATA
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-01 21:23 EDT by hjl
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 02:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2003-06-01 21:23:43 EDT
When an SATA drive is attached on D875PBZ, UP kernel won't assign
an IRQ to the SATA drive and kernel will hang. SMP kernel works fine.
Comment 1 Arjan van de Ven 2003-06-02 02:26:41 EDT
looks like a defective $PIR table.
Comment 2 hjl 2003-06-02 02:41:43 EDT
I added the following to kernel spec file. It
works for me. BTW, Windows XP has no problem.
----
%ifarch %{all_x86}
# Needed for SATA drives on Intel D875PBZ motherboard.
for a in i386-BOOT i686; do
  cat >> configs/kernel-%{kversion}-$a.config <<EOF
CONFIG_X86_UP_APIC=y
CONFIG_X86_UP_IOAPIC=y
CONFIG_X86_LOCAL_APIC=y
CONFIG_X86_IO_APIC=y
EOF
done
%endif
Comment 3 Arjan van de Ven 2003-06-02 02:46:55 EDT
yup this proves the $PIR table is defective; UPAPIC makes the kernel use the
mptable not the $PIR table for interrupts.
Unfortionatly we can't enable this by default since it breaks far more than it
ever fixes.

Closing this as "NOTABUG" since it's a bios bug, and thus not a kernel bug.

Note You need to log in before you can comment on or make changes to this bug.